create_ellipse#

Modeler2D.create_ellipse(origin, major_radius, ratio, is_covered=True, name=None, material=None, non_model=False, segments=0, **kwargs)[source]#

Create an ellipse.

Parameters:
originlist of float

Center Position of the ellipse

major_radiusflost

Length of the major axis of the ellipse

ratiofloat

Ratio of the major axis to the minor axis of the ellipse

is_coveredbool

Specify whether the ellipse is a sheet (covered) or a line object

namestr, default=None

Name of the object. The default is None. If None , a unique name NewObject_xxxxxx will be assigned)

materialstr, default=None

Name of the material. The default is None. If None, the default material is assigned.

non_modelbool, optional

Whether to create the object as a non-model. The default is False, in which case the object is created as a model.

segmentsint, optional

Number of segments to apply to create the segmented geometry. The default is 0.

**kwargsoptional

Additional keyword arguments to pass to set properties when creating the primitive.

For more information, see ansys.aedt.core.modeler.cad.object_3d.Object3d.

Returns:
ansys.aedt.core.modeler.cad.object_3d.Object3d

Object 3d.

References

>>> oEditor.CreateEllipse

Examples

>>> ellipse1 = aedtapp.modeler.create_ellipse([0, -2, -2], 4.0, 0.2)
>>> ellipse2 = aedtapp.modeler.create_ellipse(origin=[0, -2, -2], major_radius=4.0, ratio=0.2,
...                                           name="MyEllipse", material="Copper")